Debian Bug report logs - #296664
RPC::XML::string->as_string returns incorrect snippet for the 0 string

version graph

Package: librpc-xml-perl; Maintainer for librpc-xml-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for librpc-xml-perl is src:librpc-xml-perl.

Reported by: OROSZI Sandor <sam@prevenciokft.hu>

Date: Wed, 23 Feb 2005 21:18:02 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version 0.57-1

Fixed in version librpc-xml-perl/0.58-1

Done: Damyan Ivanov <dam@modsoftsys.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#296664; Package librpc-xml-perl. Full text and rfc822 format available.

Acknowledgement sent to OROSZI Sandor <sam@prevenciokft.hu>:
New Bug report received and forwarded. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: OROSZI Sandor <sam@prevenciokft.hu>
To: submit@bugs.debian.org
Subject: RPC::XML::string->as_string returns incorrect snippet for the 0 string
Date: Wed, 23 Feb 2005 22:09:09 +0100
Package: librpc-xml-perl
Version: 0.57-1

An RPC::XML::string containing the '0' string returns an empty string in
the XML snippet.

my $t=RPC::XML::string->new('0');
print $t->value;     # prints: 0 (this is correct)
print $t->as_string; # prints: <string></string>
                     # should be: <string>0</string>




Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#296664; Package librpc-xml-perl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <divanov@creditreform.bg>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #10 received at 296664@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <divanov@creditreform.bg>
To: 296664@bugs.debian.org, control@bugs.debian.org
Subject: Re: #296664: RPC::XML::string->as_string returns incorrect snippet for the 0 string
Date: Wed, 22 Feb 2006 23:26:34 +0200
[Message part 1 (text/plain, inline)]
severity 296664 important
tags 296664 fixed-upstream, patch
thanks

Hi, Ivan,

First, let me explain why I raise the severity: I was in doubt between
grave (causes data loss) and important (major effect on usability) and
finally decided for important, in the wish to not be too offensive. The
bug is however grave for me, since it breaks my applications.

Besides the very clear demonstration of the bug by OROSZI Sandor, I
checked the new upstream release (0.58, from May 2006) and there is a
fix for this bug. Actually the 0.57-1 diff applies cleanly on 0.58 and
I've build a backage for 0.58 and I run very happily. Ah, in the process
I've bumped it to Standards-Version 3.6.2 - there were changes in the
Build dependencies (B-D -> B-D-I). All is documented in the changelog.

Interdiff attached.

I want to propose my help in maintaining this package in case you're too
busy right now to maintain it yourself. I am currently in NM and my
company relies very much on librpc-xml-perl so it seems naturally for me
to maintain it in case you are unable to do so.


Best regards and many thanks for your hard work.
Damyan

---------------------------------


[diff-0.57-1--0.58-0.1.diff (text/x-patch, inline)]
diff -bBu librpc-xml-perl-0.57/debian/changelog librpc-xml-perl-0.58/debian/changelog
--- librpc-xml-perl-0.57/debian/changelog
+++ librpc-xml-perl-0.58/debian/changelog
@@ -1,3 +1,13 @@
+librpc-xml-perl (0.58-0.1) unstable; urgency=low
+
+  * Non-maintainer upload
+  * New upstream release 0.58
+  * Bumped Standards-Version to 3.6.2
+    + s/Build-Depends/Build-Depends-Indep/
+    + Removed binary-arch targets (not used, were empty)
+
+ -- Damyan Ivanov <divanov@creditreform.bg>  Wed, 22 Feb 2006 14:24:38 +0200
+
 librpc-xml-perl (0.57-1) unstable; urgency=low
 
   * New upstream release (closes: Bug#280699)
diff -bBu librpc-xml-perl-0.57/debian/control librpc-xml-perl-0.58/debian/control
--- librpc-xml-perl-0.57/debian/control
+++ librpc-xml-perl-0.58/debian/control
@@ -1,9 +1,9 @@
 Source: librpc-xml-perl
 Section: perl
 Priority: optional
-Build-Depends: libxml-parser-perl, libwww-perl, debhelper (>= 4), perl (>= 5.8.0-7)
+Build-Depends-Indep: libxml-parser-perl, libwww-perl, debhelper (>= 4), perl (>= 5.8.0-7)
 Maintainer: Ivan Kohler <ivan-debian@420.am>
-Standards-Version: 3.5.1
+Standards-Version: 3.6.2
 
 Package: librpc-xml-perl
 Architecture: all
diff -bBu librpc-xml-perl-0.57/debian/rules librpc-xml-perl-0.58/debian/rules
--- librpc-xml-perl-0.57/debian/rules
+++ librpc-xml-perl-0.58/debian/rules
@@ -50,10 +50,6 @@
 	$(MAKE) install PREFIX=$(TMP)/usr
 
 
-# Build architecture-dependent files here.
-binary-arch: build install
-# We have nothing to do by default.
-
 # Build architecture-independent files here.
 binary-indep: build install
 #	dh_testversion
@@ -85,3 +81,3 @@
 
-binary: binary-indep binary-arch
+binary: binary-indep
 .PHONY: build clean binary-indep binary-arch binary
[signature.asc (application/pgp-signature, attachment)]

Severity set to `important'. Request was from Damyan Ivanov <divanov@creditreform.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-upstream, patch Request was from Damyan Ivanov <divanov@creditreform.bg> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#296664; Package librpc-xml-perl. Full text and rfc822 format available.

Acknowledgement sent to Ivan Kohler <ivan-debian@420.am>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #19 received at 296664@bugs.debian.org (full text, mbox):

From: Ivan Kohler <ivan-debian@420.am>
To: Damyan Ivanov <divanov@creditreform.bg>, 296664@bugs.debian.org
Subject: Re: Bug#296664: RPC::XML::string->as_string returns incorrect snippet for the 0 string
Date: Tue, 18 Apr 2006 17:24:03 -0700
Hi,

Very sorry for my delay in responding, I accidentally filtered this
message into a spam folder. 

I would welcome the help and would be happy to add you as a
co-maintainer and sponsor uploads until you finish NM.  If you are
already working closely with a sponsor to upload packages feel free to
go ahead and add yourself as a co-maintainer and upload 0.58-1.

-- 
_ivan


On Wed, Feb 22, 2006 at 11:26:34PM +0200, Damyan Ivanov wrote:
> severity 296664 important
> tags 296664 fixed-upstream, patch
> thanks
> 
> Hi, Ivan,
> 
> First, let me explain why I raise the severity: I was in doubt between
> grave (causes data loss) and important (major effect on usability) and
> finally decided for important, in the wish to not be too offensive. The
> bug is however grave for me, since it breaks my applications.
> 
> Besides the very clear demonstration of the bug by OROSZI Sandor, I
> checked the new upstream release (0.58, from May 2006) and there is a
> fix for this bug. Actually the 0.57-1 diff applies cleanly on 0.58 and
> I've build a backage for 0.58 and I run very happily. Ah, in the process
> I've bumped it to Standards-Version 3.6.2 - there were changes in the
> Build dependencies (B-D -> B-D-I). All is documented in the changelog.
> 
> Interdiff attached.
> 
> I want to propose my help in maintaining this package in case you're too
> busy right now to maintain it yourself. I am currently in NM and my
> company relies very much on librpc-xml-perl so it seems naturally for me
> to maintain it in case you are unable to do so.
> 
> 
> Best regards and many thanks for your hard work.
> Damyan
> 
> ---------------------------------
> 
> 

> diff -bBu librpc-xml-perl-0.57/debian/changelog librpc-xml-perl-0.58/debian/changelog
> --- librpc-xml-perl-0.57/debian/changelog
> +++ librpc-xml-perl-0.58/debian/changelog
> @@ -1,3 +1,13 @@
> +librpc-xml-perl (0.58-0.1) unstable; urgency=low
> +
> +  * Non-maintainer upload
> +  * New upstream release 0.58
> +  * Bumped Standards-Version to 3.6.2
> +    + s/Build-Depends/Build-Depends-Indep/
> +    + Removed binary-arch targets (not used, were empty)
> +
> + -- Damyan Ivanov <divanov@creditreform.bg>  Wed, 22 Feb 2006 14:24:38 +0200
> +
>  librpc-xml-perl (0.57-1) unstable; urgency=low
>  
>    * New upstream release (closes: Bug#280699)
> diff -bBu librpc-xml-perl-0.57/debian/control librpc-xml-perl-0.58/debian/control
> --- librpc-xml-perl-0.57/debian/control
> +++ librpc-xml-perl-0.58/debian/control
> @@ -1,9 +1,9 @@
>  Source: librpc-xml-perl
>  Section: perl
>  Priority: optional
> -Build-Depends: libxml-parser-perl, libwww-perl, debhelper (>= 4), perl (>= 5.8.0-7)
> +Build-Depends-Indep: libxml-parser-perl, libwww-perl, debhelper (>= 4), perl (>= 5.8.0-7)
>  Maintainer: Ivan Kohler <ivan-debian@420.am>
> -Standards-Version: 3.5.1
> +Standards-Version: 3.6.2
>  
>  Package: librpc-xml-perl
>  Architecture: all
> diff -bBu librpc-xml-perl-0.57/debian/rules librpc-xml-perl-0.58/debian/rules
> --- librpc-xml-perl-0.57/debian/rules
> +++ librpc-xml-perl-0.58/debian/rules
> @@ -50,10 +50,6 @@
>  	$(MAKE) install PREFIX=$(TMP)/usr
>  
>  
> -# Build architecture-dependent files here.
> -binary-arch: build install
> -# We have nothing to do by default.
> -
>  # Build architecture-independent files here.
>  binary-indep: build install
>  #	dh_testversion
> @@ -85,3 +81,3 @@
>  
> -binary: binary-indep binary-arch
> +binary: binary-indep
>  .PHONY: build clean binary-indep binary-arch binary




-- 
_ivan



Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#296664; Package librpc-xml-perl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <divanov@creditreform.bg>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #24 received at 296664@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <divanov@creditreform.bg>
To: Ivan Kohler <ivan-debian@420.am>
Cc: 296664@bugs.debian.org
Subject: Re: Bug#296664: RPC::XML::string->as_string returns incorrect snippet for the 0 string
Date: Thu, 20 Apr 2006 17:42:34 +0300
[Message part 1 (text/plain, inline)]
Ivan Kohler wrote:
> Very sorry for my delay in responding, I accidentally filtered this
> message into a spam folder. 

No problem. Happens to me too :)

> I would welcome the help and would be happy to add you as a
> co-maintainer and sponsor uploads until you finish NM.  If you are
> already working closely with a sponsor to upload packages feel free to
> go ahead and add yourself as a co-maintainer and upload 0.58-1.

My sponsor has noting to do with my NM efforts - he is sponsorint my
firebird2 packages, since he has interest in them.

I'd prefer if you can sponsor librpc-xml-perl at least for some time.
This is more for my confidence (I am not sure I won't mess something
and since you are more familiar with the package you may catch
mistaces easier).

On the other hand, if you have no time even for sponsoring, then it
may be a good idea to offer the package for adoption so I can take it
and find a sponsor via debian-mentors or (more probably) the Debian
Perl Group (http://pkg-perl.debian.org).

Anyway is convenient for me, as long as 0.58 finally reaches the
archive :)

An updated package (source&binary) may be found on
ftp://shrek.creditreform.bg/public/pool/libr/librpc-xml-perl/

Interdiff follows:

$ interdiff -z -p1 librpc-xml-perl_0.57-1.diff.gz
librpc-xml-perl_0.58-1.diff.gz
diff -u librpc-xml-perl-0.57/debian/changelog
librpc-xml-perl-0.58/debian/changelog
--- librpc-xml-perl-0.57/debian/changelog
+++ librpc-xml-perl-0.58/debian/changelog
@@ -1,3 +1,15 @@
+librpc-xml-perl (0.58-1) unstable; urgency=low
+
+  * New upstream release 0.58
+    Closes: #296664 - RPC::XML::string->as_string returns incorrect
snippet
+    for the 0 string
+  * Bumped Standards-Version to 3.6.2
+    + s/Build-Depends/Build-Depends-Indep/
+    + Removed binary-arch target (not used, was empty)
+  * Added myself as Uploader
+
+ -- Damyan Ivanov <divanov@creditreform.bg>  Thu, 20 Apr 2006
17:31:49 +0300
+
 librpc-xml-perl (0.57-1) unstable; urgency=low

   * New upstream release (closes: Bug#280699)
diff -u librpc-xml-perl-0.57/debian/control
librpc-xml-perl-0.58/debian/control
--- librpc-xml-perl-0.57/debian/control
+++ librpc-xml-perl-0.58/debian/control
@@ -1,9 +1,10 @@
 Source: librpc-xml-perl
 Section: perl
 Priority: optional
-Build-Depends: libxml-parser-perl, libwww-perl, debhelper (>= 4),
perl (>= 5.8.0-7)
+Build-Depends-Indep: libxml-parser-perl, libwww-perl, debhelper (>=
4), perl (>= 5.8.0-7)
 Maintainer: Ivan Kohler <ivan-debian@420.am>
-Standards-Version: 3.5.1
+Uploaders: Damyan Ivanov <divanov@creditreform.bg>
+Standards-Version: 3.6.2

 Package: librpc-xml-perl
 Architecture: all
diff -u librpc-xml-perl-0.57/debian/rules
librpc-xml-perl-0.58/debian/rules
--- librpc-xml-perl-0.57/debian/rules
+++ librpc-xml-perl-0.58/debian/rules
@@ -50,10 +50,6 @@
        $(MAKE) install PREFIX=$(TMP)/usr


-# Build architecture-dependent files here.
-binary-arch: build install
-# We have nothing to do by default.
-
 # Build architecture-independent files here.
 binary-indep: build install
 #      dh_testversion
@@ -85,3 +81,3 @@

-binary: binary-indep binary-arch
+binary: binary-indep
 .PHONY: build clean binary-indep binary-arch binary



Many thanks for your work. I see you maintain several packages that I
can't live without :)

dam
-- 
Damyan Ivanov                              Creditreform Bulgaria
divanov@creditreform.bg              http://www.creditreform.bg/
phone: +359(2)928-2611, 929-3993            fax: +359(2)920-0994
mob. +359(88)856-6067               dam@jabber.minus273.org/Gaim

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Ivan Kohler <ivan-debian@420.am>:
Bug#296664; Package librpc-xml-perl. Full text and rfc822 format available.

Acknowledgement sent to Damyan Ivanov <divanov@creditreform.bg>:
Extra info received and forwarded to list. Copy sent to Ivan Kohler <ivan-debian@420.am>. Full text and rfc822 format available.

Message #29 received at 296664@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <divanov@creditreform.bg>
To: Ivan Kohler <ivan-debian@420.am>
Cc: 296664@bugs.debian.org
Subject: Re: Bug#296664: RPC::XML::string->as_string returns incorrect snippet for the 0 string
Date: Fri, 21 Apr 2006 23:12:01 +0300
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Damyan Ivanov wrote:
> An updated package (source&binary) may be found on
> ftp://shrek.creditreform.bg/public/pool/libr/librpc-xml-perl/

Oops. This actually is:

ftp://shrek.creditreform.bg/public/pool/main/libr/librpc-xml-perl


- --
dam
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFESTyQHqjlqpcl9jsRAskIAKCNRpU8m8M8bDqacajcqZIVk/9ydwCgoQ8u
k2GVTp5uFQy/ptKcZLFyR6g=
=LRMz
-----END PGP SIGNATURE-----



Reply sent to Damyan Ivanov <dam@modsoftsys.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to OROSZI Sandor <sam@prevenciokft.hu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #34 received at 296664-close@bugs.debian.org (full text, mbox):

From: Damyan Ivanov <dam@modsoftsys.com>
To: 296664-close@bugs.debian.org
Subject: Bug#296664: fixed in librpc-xml-perl 0.58-1
Date: Tue, 13 Jun 2006 05:02:18 -0700
Source: librpc-xml-perl
Source-Version: 0.58-1

We believe that the bug you reported is fixed in the latest version of
librpc-xml-perl, which is due to be installed in the Debian FTP archive:

librpc-xml-perl_0.58-1.diff.gz
  to pool/main/libr/librpc-xml-perl/librpc-xml-perl_0.58-1.diff.gz
librpc-xml-perl_0.58-1.dsc
  to pool/main/libr/librpc-xml-perl/librpc-xml-perl_0.58-1.dsc
librpc-xml-perl_0.58-1_all.deb
  to pool/main/libr/librpc-xml-perl/librpc-xml-perl_0.58-1_all.deb
librpc-xml-perl_0.58.orig.tar.gz
  to pool/main/libr/librpc-xml-perl/librpc-xml-perl_0.58.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 296664@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damyan Ivanov <dam@modsoftsys.com> (supplier of updated librpc-xml-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 13 Jun 2006 12:46:34 +0300
Source: librpc-xml-perl
Binary: librpc-xml-perl
Architecture: source all
Version: 0.58-1
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Damyan Ivanov <dam@modsoftsys.com>
Description: 
 librpc-xml-perl - Perl module implementation of XML-RPC
Closes: 296664 358170
Changes: 
 librpc-xml-perl (0.58-1) unstable; urgency=low
 .
   * New upstream release
     Closes: #296664 - RPC::XML::string->as_string returns incorrect snippet
     for the 0 string
     Closes: #358170 - New upstream release
   * [debian/control]
     + Debian Perl Group takes over the package (with permission of current
       maintainer, Ivan Kohler, see #296664). Thanks to Ivan for his work so
       far.
       - D-P-G is Maintainer:
       - Ivan moved to Uploaders
       - Added myself as Uploader too
     + Bumped Standards-Version to 3.7.2
       - Move all except debhelper from Build-Depends to Build-Depends-Indep
     + Add ${perl:Depends} to Depends to pull perl dependency
     + Add Suggests: libapache-mod-perl due to Apache::RPC classes
   * [debian/rules]
     + Added manual remove of Makefile[.old] to clean target to address
       cleaning of partial build
     + Put comments as of why binary-arch target is really there
     + Remove commented out dh_* calls that are clearly never going to be
       needed
     + Enable test suite
Files: 
 39752c4a8d8f758f49782d0a78561067 769 perl optional librpc-xml-perl_0.58-1.dsc
 ee16374ad2763a69c5652ac0feea3f84 127599 perl optional librpc-xml-perl_0.58.orig.tar.gz
 59daff454e52656f52847a979ec65265 2480 perl optional librpc-xml-perl_0.58-1.diff.gz
 5ae0aaf3f3748c06e967133cc424e639 182432 perl optional librpc-xml-perl_0.58-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEjqgW+NMfSd6w7DERAmGGAJ4yUFTKsL5vHTHbfoaPmdDwhFKhFwCgqUfn
PnhFl2dpouNuZPPaa1HX1tM=
=qBLB
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 26 Jun 2007 05:37:39 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 16:44:15 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.